package tamanegisoul.ar.action;

import tamanegisoul.ar.R;
import tamanegisoul.ar.Utils;
import tamanegisoul.ar.db.DBHelper;
import tamanegisoul.ar.widget.LocationListAdapter;
import tamanegisoul.ar.widget.ReturnButtonClickListener;
import tamanegisoul.ar.widget.SensitiveCursorAdapter;
import tamanegisoul.ar.widget.StartActivityActionListener;
import android.app.Activity;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.widget.ImageButton;
import android.widget.ListView;

/**
 * 登録地点一覧画面。
 * @author TamanegiSoul
 */
public class LocationListActivity extends Activity {

	private LocationListActivity mInstance;
	private SQLiteDatabase mDatabase;
	private SensitiveCursorAdapter mCursorAdapter;
	private Cursor mListAdapterCursor;

	/**
	 * {@link #onCreate(Bundle)}
	 */
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		Utils.logDebug(this.getClass(), "onCreate");
		super.onCreate(savedInstanceState);

		mInstance = this;
		mDatabase = DBHelper.getDatabase(this);

		setContentView(R.layout.location_list);

		// 登録地点一覧
		mListAdapterCursor = mDatabase.query(DBHelper.TABLE_LOCATION, null, null, null, null, null, null);
		mCursorAdapter = new LocationListAdapter(this, mListAdapterCursor);
		ListView list = (ListView) findViewById(R.id.location_list_list);
		list.setAdapter(mCursorAdapter);

		// 追加ボタン
		ImageButton addLocationButton = (ImageButton) findViewById(R.id.location_list_add);
		addLocationButton.setOnClickListener(new StartActivityActionListener(this, new Intent(mInstance, LocationSettingActivity.class)));
		// 戻るボタン
		ImageButton homeButton = (ImageButton) findViewById(R.id.location_list_home);
		homeButton.setOnClickListener(new ReturnButtonClickListener());
	}

	/**
	 * {@link #onDestroy()}
	 */
	@Override
	protected void onDestroy() {
		super.onDestroy();
		mCursorAdapter.destroy();
		mListAdapterCursor.close();
		mDatabase.close();
	}

}
