package tamanegisoul.ar.widget;

import tamanegisoul.ar.R;
import tamanegisoul.ar.action.LocationSettingActivity;
import tamanegisoul.ar.action.TodoListActivity;
import tamanegisoul.ar.db.DBHelper;
import android.content.Context;
import android.content.Intent;
import android.database.Cursor;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageButton;
import android.widget.TextView;

/**
 * 
 * @author TamanegiSoul
 */
public class LocationListAdapter extends SensitiveCursorAdapter {
	
	public LocationListAdapter(final Context context, Cursor c) {
		super(context, c);
	}
	
	@Override
	public View newView(Context context, Cursor cursor, ViewGroup viewGroup) {
		LayoutInflater inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
		View view = inflater.inflate(R.layout.location_list_row, null);
		bindView(view, context, cursor);
		return view;
	}

	@Override
	public void bindView(View view, final Context context, final Cursor cursor) {
		TextView nameText = (TextView)view.findViewById(R.id.location_list_row_name);
		nameText.setText(cursor.getString(1));
		// todo
		ImageButton todoButton = (ImageButton)view.findViewById(R.id.location_list_row_todo);
		todoButton.setOnClickListener(new ListItemButtonOnClickListener(cursor.getString(0)) {
			public void onClick(View arg0) {
				Intent intent = new Intent(context, TodoListActivity.class);
				intent.putExtra(DBHelper.TABLE_TODO_COLUMN_LOCATION_ID, mId);
				context.startActivity(intent);
			}
		});
		// modify
		ImageButton modifyButton = (ImageButton)view.findViewById(R.id.location_list_row_modify);
		modifyButton.setOnClickListener(new ListItemButtonOnClickListener(cursor.getString(0)) {
			public void onClick(View view) {
				Intent intent = new Intent(context, LocationSettingActivity.class);
				intent.putExtra(DBHelper.TABLE_LOCATION_COLUMN_ID, mId);
				context.startActivity(intent);
			}
		});
		// remove
		ImageButton removeButton = (ImageButton)view.findViewById(R.id.location_list_row_remove);
		removeButton.setOnClickListener(new ListItemButtonOnClickListener(cursor.getString(0)) {
			public void onClick(View view) {
				mDatabase.delete(DBHelper.TABLE_LOCATION, DBHelper.TABLE_LOCATION_COLUMN_ID + "=?",
						new String[] { mId });
				// List更新
				Cursor c = getCursor();
				Cursor cn = mDatabase.query(DBHelper.TABLE_LOCATION, null, null, null, null, null, null);
				changeCursor(cn);
				c.close();
				DBHelper.notifyDataChanged(DBHelper.TABLE_LOCATION);
			}
		});
	}
}