package tamanegisoul.ar.widget;

import tamanegisoul.ar.R;
import tamanegisoul.ar.db.DBHelper;
import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageButton;
import android.widget.TextView;

/**
 * 
 * @author TamanegiSoul
 */
public class NotifedTodoListAdapter extends SensitiveCursorAdapter {
	
	public NotifedTodoListAdapter(Context context, Cursor cursor) {
		super(context, cursor);
	}

	@Override
	public View newView(Context context, Cursor cursor, ViewGroup viewGroup) {
		LayoutInflater inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
		View view = inflater.inflate(R.layout.notified_list_row, null);
		bindView(view, context, cursor);
		return view;
	}

	@Override
	public void bindView(View view, final Context context, final Cursor cursor) {
		// TODO名
		TextView nameText = (TextView) view.findViewById(R.id.notified_list_row_name);
		nameText.setText(cursor.getString(DBHelper.TABLE_TODO_COLUMN_IDX_NAME));
		// OKボタン
		ImageButton okButton = (ImageButton) view.findViewById(R.id.notified_list_row_ok);
		okButton.setOnClickListener(new ListItemButtonOnClickListener(cursor.getString(DBHelper.TABLE_TODO_COLUMN_IDX_ID)) {
			public void onClick(View view) {
				mDatabase.delete(DBHelper.TABLE_TODO, DBHelper.TABLE_TODO_COLUMN_ID + "=?", new String[] { mId });
				DBHelper.notifyDataChanged(DBHelper.TABLE_TODO);
			}

		});
		// Pendingボタン
		ImageButton pendingButton = (ImageButton) view.findViewById(R.id.notified_list_row_pending);
		pendingButton.setOnClickListener(new ListItemButtonOnClickListener(cursor.getString(DBHelper.TABLE_TODO_COLUMN_IDX_ID)) {
			public void onClick(View view) {
				ContentValues values = new ContentValues();
				values.put(DBHelper.TABLE_TODO_COLUMN_NOTIFIED, 0);
				mDatabase.update(DBHelper.TABLE_TODO, values, DBHelper.TABLE_TODO_COLUMN_ID + "=?", new String[]{mId});
				DBHelper.notifyDataChanged(DBHelper.TABLE_TODO);
			}
		});
	}
}