package tamanegisoul.ar.widget;

import java.util.ArrayList;
import java.util.List;

import android.graphics.drawable.Drawable;

import com.google.android.maps.GeoPoint;
import com.google.android.maps.ItemizedOverlay;

/**
 * 
 * @author TamanegiSoul
 */
public class PinItemizedOverlay extends ItemizedOverlay<PinOverlayItem> {

    private List<GeoPoint> mPoints = new ArrayList<GeoPoint>();

    public PinItemizedOverlay(Drawable defaultMarker) {
        super( boundCenterBottom(defaultMarker) );
    }

    @Override
    protected PinOverlayItem createItem(int i) {
        GeoPoint point = mPoints.get(i);
        return new PinOverlayItem(point);
    }

    @Override
    public int size() {
        return mPoints.size();
    }

    public void addPoint(GeoPoint point) {
        this.mPoints.add(point);
        populate();
    }
	
    public void clearPoint() {
        this.mPoints.clear();
        populate();
    }
}