package tamanegisoul.ar.widget;

import tamanegisoul.ar.db.DBHelper;
import tamanegisoul.ar.db.DataChangeListener;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.widget.CursorAdapter;

/**
 * 
 * @author TamanegiSoul
 */
public abstract class SensitiveCursorAdapter extends CursorAdapter implements DataChangeListener {
	
	protected SQLiteDatabase mDatabase;
	
	public SensitiveCursorAdapter(Context context, Cursor c) {
		super(context, c);
		DBHelper.registerDataChangeListener(this);
		mDatabase = DBHelper.getDatabase(context);
	}

	public SensitiveCursorAdapter(Context context, Cursor c, boolean autoRequery) {
		super(context, c, autoRequery);
		DBHelper.registerDataChangeListener(this);
	}

	public void onDataChanged(String tableName) {
		getCursor().requery();
	}

	public void destroy() {
		DBHelper.unregisterDataChangeListener(this);
		mDatabase.close();
	}

}
