package tamanegisoul.ar.widget;

import tamanegisoul.ar.R;
import tamanegisoul.ar.db.DBHelper;
import android.content.Context;
import android.database.Cursor;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageButton;
import android.widget.TextView;

/**
 * 
 * @author TamanegiSoul
 */
public class TodoListAdapter extends SensitiveCursorAdapter {

	public TodoListAdapter(final Context context, Cursor c) {
		super(context, c);
	}

	@Override
	public View newView(Context context, Cursor cursor, ViewGroup viewGroup) {
		LayoutInflater inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
		View view = inflater.inflate(R.layout.todo_list_row, null);
		bindView(view, context, cursor);
		return view;
	}

	@Override
	public void bindView(View view, final Context context, final Cursor cursor) {
		// TODO名
		TextView nameText = (TextView) view.findViewById(R.id.todo_list_row_name);
		nameText.setText(cursor.getString(2));
		// 削除ボタン
		ImageButton removeButton = (ImageButton) view.findViewById(R.id.todo_list_row_remove);
		removeButton.setOnClickListener(new ListItemButtonOnClickListener(cursor.getString(0)) {
			public void onClick(View view) {
				mDatabase.delete(DBHelper.TABLE_TODO, DBHelper.TABLE_TODO_COLUMN_ID + "=?", new String[] { mId });
				DBHelper.notifyDataChanged(DBHelper.TABLE_TODO);
			}
		});
	}
}